#include "Includes.h"

#define Motor_relay_Battery RB0
#define Motor_relay_power RB1
#define Manual_ON RC0
#define Manual_OFF RC1


void Humidity(void);
void Motor_ON(void);
void Motor_OFF(void);
void Current_check(void);
void Voltage_check(void);


bit Motor_ON_Flag;
bit Motor_OFF_Flag;
bit Humidity_ON;
bit Humidity_OFF;
bit Battery_ON_Flag;
bit Message_ON_Flag;
bit Message_OFF_Flag;

int Current,Voltage,Dry_Run,Overcurrent;
int Humidity_Value,Humidity_Set;
/////////////////////////////////////////////////////////////////////  Main   ///////////////////////////////////////////////

void main()
{
TRISA=0XFF;
TRISE=0XFF;
TRISD=0X00;
TRISC=0XFF;
TRISB=0X00;
PORTB=0X00;
InitADC();
InitLCD();
InitUART();
Gsm_Init();
while(1)
{
Humidity();
Motor_ON();
Motor_OFF();
if(Motor_ON_Flag==True)
{
if(Battery_ON_Flag==True)
{
Motor_relay_Battery=1;
Motor_relay_power=0;
}
if(Battery_ON_Flag==False)
{
Motor_relay_Battery=1;
Motor_relay_power=0;
}
}
if(Motor_OFF_Flag==False)
{
Motor_relay_Battery=0;
Motor_relay_power=0;
}
__delay_ms(100);
}
}
void Motor_ON(void)
{
if(Manual_ON==True||Message_ON_Flag==True||Humidity_ON==True)
{
Motor_ON_Flag=True;
}
}
void Motor_OFF(void)
{
if(Manual_OFF==True||Message_OFF_Flag==True||Humidity_OFF==True)
{
Motor_OFF_Flag=True;

}
}
void Current_check()
{
Current=0;
Current=GetADCValue(AN0);
__delay_ms(10);
if(Current<Dry_Run)
{
Motor_OFF_Flag=True;
WriteStringToLCD("DRY RUN OFF");
}
if(Current>Overcurrent)
{
Motor_OFF_Flag=True;
WriteStringToLCD("Overcurrent OFF");
}
}
void Humidity()
{
Humidity_Set=GetADCValue(AN5)/1000;
__delay_ms(10);
convert(Humidity_Set,0x80);
Humidity_Value=0;
Humidity_Value=GetADCValue(AN6)/1000;
convert(Humidity_Value,0xc0);
__delay_ms(10);
if(Humidity_Value>Humidity_Set)
{
Humidity_ON=True;
}
if(Humidity_Value<Humidity_Set)
{
Humidity_OFF=True;
}
}
void Voltage_check()
{
__delay_ms(10);
Voltage=GetADCValue(AN1);
if(Voltage<12)
{
Battery_ON_Flag=False;
}
if(Voltage>12)
{
Battery_ON_Flag==True;
}
}