#include "includes.h"

extern unsigned char msg[msg_array_size];
extern int count;
extern volatile char seconds;

extern unsigned char number[14];
extern unsigned char message[10];
extern unsigned char reception[6];
char *ptr;
bit ack_flag;
extern int i;
bit ack()
{
ack_flag = True;
	do
	{
	char received = ReceiveByteSerially();
		if(received =='K')
		{
		ack_flag = False;
		return True;
		}
		else if(received =='R')
		break;
	}
	while(seconds<10);
ack_flag = False;
return False;
}

void Gsm_Init()
{
At_cmd_send("AT");
delay_sec(1);
At_cmd_send("ATE0");
delay_sec(1);
At_cmd_send("AT+CNMI=2,1,0,0,0");
delay_sec(1);
At_cmd_send("AT+CMGF=1");
delay_sec(1);
At_cmd_send("AT+CLIP=1");
delay_sec(1);
}

void At_cmd_send(const unsigned char *str)
{
	while(*str)
	{
	SendByteSerially(*str++);
	}
	SendByteSerially(0x0d);
}

bit Gsm_msg_send(const char *number,const char *msg)
{
char g=3;
const char *ptr_number,*ptr_msg;
RCIE=0;
	do
	{
	ptr_number = number;
	ptr_msg = msg;
	g--;
	SendStringSerially("AT+CMGS=\"");
		while(*ptr_number)
		{
		SendByteSerially(*ptr_number++);
		}
	SendByteSerially('\"');
	SendByteSerially(0x0d);
	delay_sec(1);
		while(*ptr_msg)
		{
		SendByteSerially(*ptr_msg++);
		}
	delay_sec(1);
	SendByteSerially(0x1A);
	CLRWDT();
		if(ack()==True)
		{
		RCIE=1;
		return True;
		}
	}
	while(g!=0);
	delay_sec(1);
RCIE=1;
return False;
}

/*bit Gsm_Receive()
{
	if(count>=35)
	{
	delay_ms(250);
	At_cmd_send("AT+CMGD=1,3");              // delete all messages from inbox
	delay_sec(1);
	count=0;
		for(int j=0;j<5;j++)
		{
		reception[j]=msg[j];
		}
		if(strncmp(reception,"+CLIP",5)==False)
		{
		ptr=strchr(msg,'\"'); 
		ptr++;
		}
		else
		{
		ptr=strchr(msg,',');
		ptr = ptr+2;
		}	

		for(int j=0;j<13;j++)
		{
		number[j]=*ptr++;
		}
		ptr=strchr(msg,0x0a); 
		ptr++;
		for(int j=0;j<15;j++)
//		int j=0;
	//	while(*ptr!=0x0d)
		{
		if(*ptr==0x0d||*ptr==0x0a)
		break;
		else
		message[j]=*ptr++;
		}
	return True;
	}
return False;
}

*/